import 'dart:io';
import 'package:args/args.dart';
import 'package:path/path.dart' as path;
import 'package:ls/ls.dart' as ls;

main(List<String> arguments) {
  exitCode = 0;
  final parser = new ArgParser()
    // ..addFlag('long-listing', abbr: 'l', defaultsTo: false, negatable: false)
    ..addFlag('all', abbr: 'a', defaultsTo: false, negatable: false);

  var results = parser.parse(arguments);

  String cPath;
  if (results.rest.isEmpty) {
    cPath = Directory.current.path;
  } else {
    cPath = results.rest[0];
    if (!cPath.startsWith("/")) {
      cPath = (new path.Context(style: Platform.isWindows ? path.Style.windows : path.Style.posix))
        .join(Directory.current.path, cPath);
      cPath = path.normalize(cPath);
    }
  }
  if (FileSystemEntity.typeSync(cPath) == FileSystemEntityType.NOT_FOUND) {
    stderr.writeln('ls: cannot access \'$cPath\': No such file or directory');
  } else {
    ls.index(cPath, results);
  }
}
